org.icefaces.ace.component.radiobutton

## Class RadioButtonRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.icefaces.ace.renderkit.CoreRenderer
    - - org.icefaces.ace.renderkit.InputRenderer
      - - org.icefaces.ace.component.radiobutton.RadioButtonRenderer

-     public class RadioButtonRenderer
      extends InputRenderer

- - ### Field Summary

    - ### Fields inherited from class org.icefaces.ace.renderkit.InputRenderer

      `IN_FIELD_LABEL_STYLE_CLASS, indicatorPositionSet, LABEL_STYLE_CLASS, labelPositionSet`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RadioButtonRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
    `void` | `encodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
    `void` | `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
    `java.lang.Object` | `getConvertedValue(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, java.lang.Object submittedValue)`

    - ### Methods inherited from class org.icefaces.ace.renderkit.InputRenderer

      `encodeLabelAndInput, getConverter, getLabelAttributes, getOptionAsString, getSelectItems, getStateStyleClasses, writeAriaAttributes, writeInputField, writeLabelAndIndicatorAfter, writeLabelAndIndicatorBefore`

    - ### Methods inherited from class org.icefaces.ace.renderkit.CoreRenderer

      `addToAutoUpdate, convertClientId, decodeBehaviors, decodeBehaviors, encodeClientBehaviors, escapeText, getActionURL, getComponentResourceBundle, getEncodedURL, getEscapedClientId, getLocalisedMessageFromBundle, getResourceRequestPath, getResourceURL, isAjaxRequest, isPostBack, isPostback, isValueBlank, isValueEmpty, renderChild, renderChildren, renderPassThruAttributes, renderPassThruAttributes, renderPassThruAttributes, resolveWidgetVar, shouldRenderAttribute, themeForms`

    - ### Methods inherited from class javax.faces.render.Renderer

      `encodeChildren, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RadioButtonRenderer

          public RadioButtonRenderer()

  - ### Method Detail

    - #### decode

          public void decode(javax.faces.context.FacesContext facesContext,
                             javax.faces.component.UIComponent uiComponent)

      Overrides:
        `decode` in class `javax.faces.render.Renderer`

    - #### encodeBegin

          public void encodeBegin(javax.faces.context.FacesContext facesContext,
                                  javax.faces.component.UIComponent uiComponent)
                           throws java.io.IOException

      Overrides:
        `encodeBegin` in class `javax.faces.render.Renderer`
      Throws:
        `java.io.IOException`

    - #### encodeEnd

          public void encodeEnd(javax.faces.context.FacesContext facesContext,
                                javax.faces.component.UIComponent uiComponent)
                         throws java.io.IOException

      Overrides:
        `encodeEnd` in class `javax.faces.render.Renderer`
      Throws:
        `java.io.IOException`

    - #### getConvertedValue

          public java.lang.Object getConvertedValue(javax.faces.context.FacesContext facesContext,
                                                    javax.faces.component.UIComponent uiComponent,
                                                    java.lang.Object submittedValue)
                                             throws javax.faces.convert.ConverterException

      Overrides:
        `getConvertedValue` in class `InputRenderer`
      Throws:
        `javax.faces.convert.ConverterException`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.